Skip to main content
PATCH

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

organization_id
string
required

Organization identifier.

Required string length: 24
Pattern: ^[0-9a-f]{24}$
wifi_network_id
string<uuid>
required

Wi-Fi network identifier.

Body

application/json

Partial Wi‑Fi network update body. All fields are optional.

is_reliable
boolean

Indicates if the Wi‑Fi network is marked as reliable.

network_id
string<uuid> | null

Identifier of the related network (FWS Network.Oid). Send null to unlink.

Response

Wi-Fi network updated successfully.

id
string<uuid>

Identifier of the Wi‑Fi network (FWS WifiNetwork.Oid).

ssid
string | null

The SSID of the Wi‑Fi network.

organization_id
string | null

Associated Portal organization Id.

Required string length: 24
Pattern: ^[0-9a-f]{24}$
public_ip
string | null

Related public IP address.

isp
string | null

Internet Service Provider of the related public IP.

city
string | null

City associated with the public IP.

country
string | null

Country associated with the public IP.

is_reliable
boolean | null

Indicates if the Wi‑Fi network is marked as reliable.

source_workspace_id
string | null

Workspace Portal ID associated with the source device. Null if no match

Required string length: 24
Pattern: ^[0-9a-f]{24}$
network_id
string<uuid> | null

Identifier of the related network (FWS Network.Oid).